local background = Def.ActorFrame {
    -- Streams
    Def.ActorFrame { FOV=90; OnCommand=cmd(rotationx,-30;decelerate,15;rotationx,30); 
        LoadActor("backdatastream") .. {
            InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH*2,SCREEN_HEIGHT*2;);
            OnCommand=cmd(customtexturerect,0,0,SCREEN_WIDTH/256*2,SCREEN_HEIGHT/256*2;texcoordvelocity,0.75/4,0;diffuse,color("#0072bc"));
        };
        LoadActor("datastream") .. {
            InitCommand=cmd(z,240;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH*2,SCREEN_HEIGHT*2;);
            OnCommand=cmd(blend,"BlendMode_Add";customtexturerect,0,0,SCREEN_WIDTH/256*2,SCREEN_HEIGHT/256*2;texcoordvelocity,0,0.25;diffuse,color("#0072bc"));
        };
    };
    -- BG
    LoadActor("_noise") .. { InitCommand=cmd(diffusealpha,0.5); };
    LoadActor( "stripes" ) .. {
        InitCommand=cmd(texcoordvelocity,0.1,0;scale_or_crop_background;diffusealpha,0.5;diffusebottomedge,color("#0072bc");skewx,-0.25);
    };
--~     LoadActor("red-bg") .. { 
--~         InitCommand=cmd(diffusealpha,0.5;diffuse,color("#0072bc");blend,"BlendMode_Add";x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
--~     };
    -- Grid
    LoadActor("Grid-Norm") .. {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffuse,color("#0072bc"));
        OnCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT);
    };
    LoadActor("Grid-Glow") .. {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffuse,color("#0072bc"));
        OnCommand=cmd(zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,"BlendMode_Add";playcommand,"Loop");
        LoopCommand=cmd(diffusealpha,1;croptop,1;decelerate,1;croptop,0;linear,1.25;diffusealpha,0;sleep,1.5;queuecommand,"Loop");
    };
};
local underlay = Def.ActorFrame { 
 FOV=90;
 InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
 OnCommand=cmd(playcommandonchildren,'Tween');
 TweenCommand=cmd(rotationy,45;diffusealpha,0;decelerate,0.85;rotationy,0;diffusealpha,1;
    sleep,1.5;decelerate,0.4;addy,-48);
    -- Nifty: add stripes in box!
    LoadActor( "stripes" ) .. {
        InitCommand=cmd(texcoordvelocity,0.1,0;zoomto,558-16,142-16;);
    };
    LoadActor("logo box") .. { };
    LoadActor("logo title") .. { };
    LoadFont("Ergo","Normal") .. {
        Text="Quality entertainment and games since 2008";
        InitCommand=cmd(y,142/2+8;maxwidth,588;shadowlength,1);
    };
};
local underlayadd = Def.ActorFrame {
    LoadFont("Ergo","Normal") .. {
        Text="Visit our page at http://something.com/";
        InitCommand=cmd(shadowlength,1;diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+76;diffusebottomedge,color("#0072bc"));
        OnCommand=cmd(sleep,0.85+1.5;linear,0.4;diffusealpha,1;y,SCREEN_CENTER_Y+(142/2+8));
    };
};
local t = Def.ActorFrame {};
t[#t+1] = background;
t[#t+1] = underlay;
t[#t+1] = underlayadd;
return t